summaryrefslogtreecommitdiffstats
path: root/cholerab
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-08-04 19:52:04 +0200
committermakefu <github@syntax-fehler.de>2011-08-04 19:52:04 +0200
commit49b7d9c8265fdc044020dcf6b6ca2a392777d22f (patch)
treef4108c0039c8f3f0026d58d2b24332146b66092d /cholerab
parente14c7902515b32ac454327cc621dba0f37bedf93 (diff)
parent6eb609420cdfe8ca08134a35ddfc72bb438433b1 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'cholerab')
-rwxr-xr-xcholerab/ttycnser27
1 files changed, 27 insertions, 0 deletions
diff --git a/cholerab/ttycnser b/cholerab/ttycnser
new file mode 100755
index 00000000..0972dbbb
--- /dev/null
+++ b/cholerab/ttycnser
@@ -0,0 +1,27 @@
+#! /bin/sh
+set -euf
+
+tty="${TMPDIR-/tmp}/ttycnser.$LOGNAME.tty"
+
+case "${mode-server}" in
+ (server)
+ host=0.0.0.0
+ port=8080
+ export mode=client
+ echo "ttycnser @ $host $port" >&2
+ exec tcpserver $host $port "$0"
+ ;;
+ (client)
+ line="`read line && echo "$line"`"
+ echo -n '7>>>> '"$line"'8' > "$tty"
+ ;;
+ (install)
+ # TODO tell the user to do something like
+ # PROMPT_COMMAND="`mode=install ~/p/krebscode/painload/cholerab/ttycnser`"
+ echo "ln -snf '`tty`' '$tty'"
+ ;;
+ (*)
+ echo 'Error 1: You are made of stupid!' >&2
+ exit 23
+ ;;
+esac